# Interface Table

Define table-extension options

interface Table {
checkboxColumnIdx : any;
indentation : number;
nodeColumnIdx : number;
[key: string]: any;
}

#### Indexable

- [key: string]: any

  Support misc options

- Defined in src/public/app/types-fancytree.d.ts:1043

##### Index

### Properties

checkboxColumnIdx
indentation
nodeColumnIdx

## Properties

### checkboxColumnIdx

checkboxColumnIdx: any

Render the checkboxes into the this column index (default: nodeColumnIdx)

- Defined in src/public/app/types-fancytree.d.ts:1047

### indentation

indentation: number

Indent every node level by 16px; default: 16

- Defined in src/public/app/types-fancytree.d.ts:1051

### nodeColumnIdx

nodeColumnIdx: number

Render node expander, icon, and title to this column (default: 0)

- Defined in src/public/app/types-fancytree.d.ts:1055